Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.quality
[Java] Interface FindBugsXmlReport

    org.gradle.util.Configurable
      org.gradle.api.reporting.ConfigurableReport
          org.gradle.api.plugins.quality.FindBugsXmlReport
              org.gradle.api.reporting.SingleFileReport
                  org.gradle.api.reporting.Report

All Superinterfaces:
  Configurable, ConfigurableReport, SingleFileReport, Report

    @Incubating
    public interface FindBugsXmlReport
    extends SingleFileReport

The single file XML report for FindBugs.

Field Summary

Fields inherited from interface Report
NAMER

Method Summary
`boolean` | `isWithMessages()` Whether or not FindBugs should generate XML augmented with human-readable messages.
`void` | `setWithMessages(boolean withMessages)` Whether or not FindBugs should generate XML augmented with human-readable messages.

Methods inherited from interface SingleFileReport
getOutputType

Methods inherited from interface ConfigurableReport
setDestination

Methods inherited from interface Report
getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled

Method Detail

### isWithMessages

    public boolean isWithMessages()

  Whether or not FindBugs should generate XML augmented with human-readable messages. You should use this format if you plan to generate a report using an XSL stylesheet.

  If `true`, FindBugs will augment the XML with human-readable messages. If `false`, FindBugs will not augment the XML with human-readable messages.

  Returns:
    Whether or not FindBugs should generate XML augmented with human-readable messages.

### setWithMessages

    public void setWithMessages(boolean withMessages)

  Whether or not FindBugs should generate XML augmented with human-readable messages.
  Parameters:
    `withMessages` - Whether or not FindBugs should generate XML augmented with human-readable messages.
  See Also:
    isWithMessages()

Gradle API 1.10